Result interface definition for Human library

Contains all possible detection results

### Hierarchy

- Result

## Index

### Properties

- body
- canvas
- face
- gesture
- hand
- object
- performance
- persons
- timestamp

## Properties

### body

body: BodyResult[]

- Defined in src/result.ts:174

BodyResult: detection & analysis results

### Optional canvas

canvas?: null | OffscreenCanvas | HTMLCanvasElement

- Defined in src/result.ts:184

optional processed canvas that can be used to draw input on screen

### face

face: FaceResult[]

- Defined in src/result.ts:172

FaceResult: detection & analysis results

### gesture

gesture: GestureResult[]

- Defined in src/result.ts:178

GestureResult: detection & analysis results

### hand

hand: HandResult[]

- Defined in src/result.ts:176

HandResult: detection & analysis results

### object

object: ObjectResult[]

- Defined in src/result.ts:180

ObjectResult: detection & analysis results

### performance

performance: Record<string, number>

- Defined in src/result.ts:182

global performance object with timing values for each operation

### persons

persons: PersonResult[]

- Defined in src/result.ts:188

getter property that returns unified persons object

### Readonly timestamp

timestamp: number

- Defined in src/result.ts:186

timestamp of detection representing the milliseconds elapsed since the UNIX epoch